#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long a, b, k;
    cin>>a>>b>>k;
    long long br=0;
    for(long long i=a;i<b;i++){
        br++;
        if((i+2)%k!=0)i++;
    }
    cout<<br;
    return 0;
}
